slpd(8)

NAME
slpd - SLPv2 Service Agent (SA)/Directory Agent (DA)

SYNOPSIS
/usr/sbin/slpd [-d] [-c configfile] [-r registrationfile] [-l logfile] [-p pidfile]

DESCRIPTION

slpd is an SLPv2 compliant Service Agent and (optionally) Directory Agent. It listens for SLP requests on port 427, responding to the SLP User Agents and (when running as a DA) Service Agents. slpd is typically invoked at boot time, usually out of /etc/init.d/slpd .

OPTIONS

-d  Don't detach from the controlling tty

-f configfile
    Use configfile as the file slpd reads to obtain configuration information, rather than the default, /etc/slpd.conf .

-r registrationfile
    Use registrationfile as the file that slpd reads to obtain static registrations, rather than the default, /etc/slpd.rej.

-l logfile
    Use logfile as the file that slpd reads to write log messages, rather than the default, /var/log/slpd.log.

-p pidfile
    Use pidfile as the file that holds the slpd process id, rather than the default, /var/run/slpd.pid.

SEE ALSO
"OpenSLP User's Guide"

NOTES
This man page was written for the Debian project by Debian Developer Ganesan Rajagopal (rganesan@debian.org). You should refer to the online html documentation in the openslp-doc package for more complete and up-to-date information.

BUGS
http://sourceforge.net/tracker/?group_id=1730&atid=101730

ACKNOWLEDGEMENTS
OpenSLP is developed and maintained by The OpenSLP Project (http://www.openslp.org/).